Bug 1301325 - windows xp with vm name larger than 15 chars, fail only at edit VM stage, and not at VM creation.
windows xp with vm name larger than 15 chars, fail only at edit VM stage, and...
Status: CLOSED NOTABUG
Product: ovirt-engine
Classification: oVirt
Component: Backend.Core (Show other bugs)
3.6.0
Unspecified Unspecified
low Severity medium (vote)
: ---
: ---
Assigned To: nobody nobody
Ilanit Stein
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-24 03:15 EST by Ilanit Stein
Modified: 2016-02-09 02:15 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-09 02:15:08 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Virt
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
istein: planning_ack?
istein: devel_ack?
istein: testing_ack?


Attachments (Terms of Use)

  None (edit)
Description Ilanit Stein 2016-01-24 03:15:54 EST
Version-Release number of selected component (if applicable):
rhevm 3.6.2-10

Expected results:
VM name length validation should be at VM creation stage, by the OS chosen.

Additional info:

VM name for example that can be used to test it:
winxp_withanswerfile_test
Comment 1 Tomas Jelinek 2016-02-04 09:25:41 EST
I can not simulate this neither on the current master not on 3.6.2, so I need some additional info:
- engine logs
- FE logs (if no exception around)
- does it happen on other OS than wind XP ? 

thank you
Comment 2 Ilanit Stein 2016-02-09 02:15:08 EST
I've found how it happend:
The VM that was created with the name longer than 15 chars, was created from a windows XP template, that had it's OS configured to 'Other'.
When the VM was edited, the OS was changed to Windows XP, and that's why VM name validation failed, at this stage.
Further to this, I am closing the bug.

Note You need to log in before you can comment on or make changes to this bug.